import { AxiosRequestConfig } from 'axios';

export interface IRequestOptions extends AxiosRequestConfig {}

export interface IRequest {
  <T = any>(url: string, opts: IRequestOptions): Promise<T>;
}

export type BlLifeRechargeServicesOptions<T extends IRequest> = {
  request: T;
  axiosOptions?: AxiosRequestConfig;
};

export type BlLifeRechargeAccountModelOptions = {
  userId?: string;
  phoneNumber?: string;
};

export type BlLifeRechargeOptions<T extends IRequest> = BlLifeRechargeServicesOptions<T> &
  BlLifeRechargeAccountModelOptions & {};
